/// <binding BeforeBuild='compile-scss' ProjectOpened='compile-scss, watch' />

// Declare variables
var stylesFolder = "wwwroot/Styles";

module.exports = function (grunt) {
    // Create tasks
    grunt.initConfig({
        sass: {
            dist: {
                files: [{
                    expand: true,
                    cwd: stylesFolder,
                    src: ["*.scss", "!_*.scss"],
                    dest: stylesFolder,
                    ext: ".css"
                }]
            }
        },
        cssmin: {
            dist: {
                files: [{
                    expand: true,
                    cwd: stylesFolder,
                    src: ["*.css", "!*.min.css"],
                    dest: stylesFolder,
                    ext: ".min.css"
                }]
            }
        },
        watch: {
            scss: {
                files: "**/*.scss",
                tasks: ["compile-scss"]
            }
        }
    });

    // Load tasks
    grunt.loadNpmTasks("grunt-contrib-sass");
    grunt.loadNpmTasks("grunt-contrib-cssmin");
    grunt.loadNpmTasks("grunt-contrib-watch");

    // Define aliasses
    grunt.registerTask("compile-scss", ["sass", "cssmin"]);
};